'----------------------------------------------------------------------------------------
'    Name:  Modbus_CalcCRC_d.inc
'    Type:  TIGER-BASIC(tm) Source Code
' Purpose:  Definitions for Modbus checksum calculation
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tigers in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (english)
'	email: support@wilke.de              (german)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (english)
'	www.wilke.de                         (german)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'
'--------------------------------------------------------------------------------------

#ifndef Modbus_CalcCRC_d
#define Modbus_CalcCRC_d

'------------------------------------------------------------------------------------------------
'' High and low byte of CRC Init
#define HIGH_BYTE_VALUE       0FFh
#define HIGH_CRC_BYTE         HIGH_BYTE_VALUE
#define LOW_CRC_BYTE          HIGH_BYTE_VALUE
#define BIT_NUM_OF_BYTE       08h
#define SZE_OF_BYTE           01h
#define LEN_OF_CRC_DATALABEL  0FFh
''
''
'--------------------------------------------------------------------------------------

#endif ''Modbus_CalcCRC_d

